{% extends 'base.html' %}
{% load staticfiles%}
	{% block title%}
	<title>Payment</title>
	{%endblock title%}
	{% block sheet%}
	<script src="https://kit.fontawesome.com/398e878c6e.js" crossorigin="anonymous"></script>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.js"></script>
	<link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.css' %}">
	<link rel="stylesheet" type="text/css" href="{% static 'css/sheet_payment.css' %}">
	<script src="{% static 'js/payments_js.js' %}"></script>
	{%endblock sheet%}
	{% block content%}
	{% if user.is_authenticated %}
	<p class="lines"></p>
	<div class="container">
		<div id="top_title" class="row">
				<i class="far fa-dot-circle col-1 col-lg-1"></i>
				<h1 class="col-11 col-lg-4">Kartu Debit/Kredit</h1>
				<img class="col-lg-1 col-3"src="{% static 'images/mastercard.png'%}" width="70" height="45">
				<img class="col-lg-1 col-3" src="{% static 'images/visa.jpg'%}" width="70" height="45">
				<img class="col-lg-1 col-3"src="{% static 'images/jcb.jpg'%}" width="70" height="45">
				<img class="col-lg-1 col-3"src="{% static 'images/americanexpress.png'%}" width="70" height="45">
		</div>
		<div class="all-form">
			<form id=form action="{% url 'payments:add_payments' %}" method="POST" novalidate>{% csrf_token %}
					<div class="d-flex flex-column flex-md-row flex-wrap justify-content-md-center">
						<div class="form-group col-lg-3 col-form-label">
							<label class="text_right">Nama Pemegang Kartu</label>
						</div>
						<div class="form-group col-lg-4" id=nama_field>
							{{generate_form.nama_pemegang_kartu}}
						</div>
						<div class="form-group col-lg-3">
						</div>
					</div>
					<div class="d-flex flex-column flex-md-row flex-wrap justify-content-md-center">
						<div class="form-group col-lg-3 col-form-label">
							<label class="text_right">Nomor Kartu Debit/Kredit</label>
						</div>
						<div class="form-group col-lg-4" id=nomor_kartu_field>
							{{generate_form.nomor_kartu_debit}}
						</div>
						<div class="form-group col-lg-3">
						</div>
					</div>
					<div class="d-flex flex-column flex-md-row flex-wrap justify-content-md-center">
						<div class="form-group col-lg-3 col-form-label">
							<label class="text_right">Kadaluarsa Bulan/Tahun</label>
						</div>
						<div class="form-group col-lg-4" id=kadaluarsa_field>
							{{generate_form.kadaluarsa}}
						</div>
						<div class="form-group col-lg-3">
						</div>
					</div>
					<div class="d-flex flex-column flex-md-row flex-wrap justify-content-md-center">
						<div class="form-group col-lg-3 col-form-label">
							<label class="text_right">CCV/CVV</label>
						</div>
						<div class="form-group col-lg-4" id=ccv_field>
							{{generate_form.ccv}}
						</div>
						<div class="form-group col-lg-3">
						</div>
					</div>
					<div id=button_confirm class="d-flex flex-column flex-md-row flex-wrap justify-content-center">
						<div class="col-2">
							<button type="submit" id=button_konfirmasi class="btn btn-lg btn-light" value="Save" disabled="true">Konfirmasi</button>
						</div>
					</div>
			</form>
		</div>
	</div>
	<p class="lines"></p>

	<div class="container">
		<h2 class="text-center">Informasi Pembayaran Anda</h2>
		<table class="table table-responsive-md table-bordered">
                <thead>
                    <tr>
                        <th scope="col">Nama Pemegang Kartu</th>
                        <th scope="col">Nomor Kartu Debit/Kredit</th>
                        <th scope="col">Kadaluarsa</th>
                        <th scope="col">CCV/CVV</th>
                    </tr>
                </thead>
                <tbody>
                	
                    <tr>
                        <td>{{ all_objects.nama_pemegang_kartu }}</td>
                        <td>{{ all_objects.nomor_kartu_debit }}</td>
                        <td>{{ all_objects.kadaluarsa }}</td>
                        <td>{{ all_objects.ccv }}</td>
                    </tr>
                  
                </tbody>
            </table>
	</div>
	<h2 class="footer"></h2>  
	{% else%}
	<h2>Silahkan login terlebih dahulu dan lakukan pemesanan jasa</h2>
	{% endif %}
	{%endblock content%}